Bug 1171899 - Storage: Adding a new Storage Manager does not work. Crashes with the error - Error caught: [ArgumentError] wrong number of arguments (2 for 1)
Summary: Storage: Adding a new Storage Manager does not work. Crashes with the error -...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Insight
Version: 5.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.3.2
Assignee: Rich Oliveri
QA Contact: Milan Falešník
URL:
Whiteboard:
Depends On: 1171286
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-08 21:21 UTC by Rich Oliveri
Modified: 2015-03-23 14:54 UTC (History)
9 users (show)

Fixed In Version: 5.3.2
Doc Type: Bug Fix
Doc Text:
Clone Of: 1171286
Environment:
Last Closed: 2015-01-14 19:44:16 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0028 normal SHIPPED_LIVE Important: cfme security, bug fix, and enhancement update 2015-01-15 00:41:27 UTC

Comment 1 CFME Bot 2014-12-09 17:36:19 UTC
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/ff12fb2b91f7b0cd948a44a32aee2db7db8e0860

commit ff12fb2b91f7b0cd948a44a32aee2db7db8e0860
Author:     Richard Oliveri <roliveri@redhat.com>
AuthorDate: Mon Dec 8 16:26:53 2014 -0500
Commit:     Richard Oliveri <roliveri@redhat.com>
CommitDate: Mon Dec 8 16:26:53 2014 -0500

    Remove "initialize" method from StorageManager model.
    
    The initialize method of the StorageManager model class was calling super()
    and in so doing, not passing the proper args to the subclass. Given
    this was all the method did, the entire method has been removed.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1171286
    https://bugzilla.redhat.com/show_bug.cgi?id=1171899

 vmdb/app/models/storage_manager.rb | 4 ----
 1 file changed, 4 deletions(-)

Comment 2 CFME Bot 2014-12-09 17:41:05 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=29bb3e20fdbc7c54243bfa973b5913c5777b7968

commit 29bb3e20fdbc7c54243bfa973b5913c5777b7968
Author:     Richard Oliveri <roliveri@redhat.com>
AuthorDate: Mon Dec 8 16:26:53 2014 -0500
Commit:     Richard Oliveri <roliveri@redhat.com>
CommitDate: Tue Dec 9 12:39:02 2014 -0500

    Remove "initialize" method from StorageManager model.
    
    The initialize method of the StorageManager model class was calling super()
    and in so doing, not passing the proper args to the subclass. Given
    this was all the method did, the entire method has been removed.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1171286
    https://bugzilla.redhat.com/show_bug.cgi?id=1171899

 vmdb/app/models/storage_manager.rb | 4 ----
 1 file changed, 4 deletions(-)

Comment 4 Milan Falešník 2015-01-05 16:41:27 UTC
Checked in 5.3.2.3 (5.3.2.5 had issues with netapp installation concerning database, but I checked the source code and the modification is already included).

If this was just about adding a Storage manager, then it works as usual.

Correct me if I am wrong :)

Comment 6 errata-xmlrpc 2015-01-14 19:44:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0028.html


Note You need to log in before you can comment on or make changes to this bug.